Skip to content

Get an Advertiser

Request

Get an advertiser by ID

Security
Auth0(Required scopes: offline_accessmanage:services)
Path
advertiser_idintegerrequired

Numeric ID of the advertiser to get

Query
extendedboolean

Get extended properties in response

curl -i -X GET \
  'https://api.mediamath.com/api/v3.0/advertisers/{advertiser_id}?extended=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Advertiser response

Bodyapplication/json
Any of:
dataobject(advertiser)
metaobject(single_metadata)
Response
{ "data": { "ad_server_id": 126, "data_sharing_enabled": true, "dmp_enabled": "disabled", "domain": "string", "external_id": "string", "frequency_interval": "hour", "frequency_type": "no-limit", "frequency_amount": 3, "minimize_multi_ads": true, "name": "string", "status": true, "vertical_id": 433, "ads_txt_verified": "ANY", "political": true, "connected_id_type": "DETERMINISTIC_FIRST", "mfa_avoidance": "INHERIT", "attribution_level": "INDIVIDUAL", "targeting_identity_level": "INDIVIDUAL", "advertiser_brain": true, "vendor_attributions": [ … ], "id": 0, "ad_server_fee": 0, "agency_id": 0, "created_on": "2019-08-24T14:15:22Z", "entity_type": "string", "updated_on": "2019-08-24T14:15:22Z", "version": 0, "effective_ads_txt_verified": "string", "allow_x_strat_optimization": true, "billing_contact_id": 1, "sales_contact_id": 1, "agency": { … }, "inherited_mfa_avoidance": "INHERIT", "inherited_mfa_from": "Organization" }, "meta": { "status": "success" } }